/*
Theme Name:     Marla Cummins
Theme URI:      n/a
Template:       kadence
Author:         Kinetic
Author URI:     https://kinetic.com
Description:    A child of the Kadence theme, created for Marla Cummins.
Version:        1.0
License:        GNU General Public License v3.0 (or later)
License URI:    https://www.gnu.org/licenses/gpl-3.0.html
*/

/* Balance */

h1,
h2,
h3,
h4,
h5,
h6 {
  text-wrap: balance;
}

/* Home Hero H1 Highlights */

h1.highlights mark {
  padding: 4px 12px;
  margin-right: 4px;
}

h1.highlights mark:last-child {
  margin-right: 0;
}
h1.highlights mark i {
  opacity: 50%;
}

@media (max-width: 1024px) {
  h1.highlights {
    display: flex;
    flex-direction: column;
    gap: 4px;
    margin-bottom: 4px;
  }
  h1.highlights mark {
    margin-right: 0;
    max-width: max-content;
  }
}

/* Opt-In Form */

.gform-theme--foundation #gform_17 {
  --gf-form-gap-y: 14px;
}
#gform_17 .gform_footer.top_label {
  margin-top: 16px;
}
#gform_17 input[type="submit"] {
  width: 100%;
}

/* Home Posts Carousel */

@media (min-width: 510px) {
  .home-carousel .kt-post-grid-layout-carousel-wrap {
    padding-left: 70px;
    padding-right: 70px;
  }
}
.home-carousel .kt-post-slider-item {
  padding: 14px;
}

/* Home Testimonials Carousel */

@media (min-width: 510px) {
  .home-testimonials .kt-post-grid-layout-carousel-wrap {
    padding-left: 70px;
    padding-right: 70px;
  }
}

.home-testimonials .splide .splide__track .splide__list {
  align-items: flex-start !important;
}
.home-testimonials .splide__slide {
  max-height: 1500px;
  transition: max-height 1000ms ease;
}
.home-testimonials .splide__slide:not(.is-active) {
  max-height: 350px;
}

.home-testimonials .testimonial-content p {
  font-style: italic !important;
}

/* Blog & Podcast Grid */

.blog-podcast .kb-dynamic-list-divider {
  opacity: 50%;
}

.blog-podcast .kb-dynamic-list-item,
.blog-podcast .kb-dynamic-list-item a {
  transition: all 300ms ease;
}

.blog-podcast .kb-dynamic-list-item {
  background-color: #edebe1;
  padding: 5px 10px;
}

.blog-podcast .kb-dynamic-list-item:hover {
  background-color: #8d4599;
}

.blog-podcast .kb-dynamic-list-item:hover a {
  color: #fff !important;
}

/* Single Post Category Badges */

.single-post
  .single-entry
  .post-title
  .entry-taxonomies
  .category-style-pill
  a {
  color: var(--global-palette3);
  font-weight: 400;
  padding: 5px 10px;
  border-radius: 0;
  font-size: 12px;
}

.single-post
  .single-entry
  .post-title
  .entry-taxonomies
  .category-style-pill
  a:hover {
  color: #fff;
}

/* Style Solamar Testimonial Shortcodes */

.entry-content blockquote:not(.wp-block-quote) {
  border: none;
  padding: 0;
  margin: 0 0 var(--global-kb-spacing-lg, 3rem);
}

.entry-content #solamar-testimonials {
  background-color: var(--global-palette8);
  padding-top: var(--global-kb-spacing-lg, 3rem);
  padding-right: var(--global-kb-spacing-lg, 3rem);
  padding-bottom: var(--global-kb-spacing-lg, 3rem);
  padding-left: var(--global-kb-spacing-lg, 3rem);
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
  max-width: 980px;
  margin-left: auto;
  margin-right: auto;
  margin-top: var(--global-kb-spacing-xxl, 5rem);
  margin-bottom: var(--global-kb-spacing-xxl, 5rem);
}

.entry-content #solamar-testimonials .testimonial-slide {
  padding: 0;
}

.entry-content #solamar-testimonials .testimonial-bottom {
  display: none;
}

.entry-content #solamar-testimonials .testimonial-content {
  margin-left: 0;
  margin-right: 0;
  font-size: 20px;
  line-height: 32px;
  font-style: italic;
}

.entry-content #solamar-testimonials .testimonial-author {
  color: var(--global-palette1);
  text-align: center;
  font-size: 28px;
  line-height: 1;
  font-weight: 500;
  margin-bottom: var(--global-kb-spacing-xxs, 0.5rem);
}

.entry-content #solamar-testimonials .testimonial-title {
  text-align: center;
  line-height: 1;
}

/* Single Testimonials Block Group */

.single-testimonial {
  overflow: visible !important;
}

.single-testimonial .wp-block-kadence-image {
  position: absolute;
  left: 0;
  right: 0;
  bottom: -35px;
  z-index: 99999;
}

.single-testimonial .wp-block-kadence-image img {
  background: var(--global-palette7);
  aspect-ratio: 1/1;
  padding: 10px;
  box-sizing: initial;
  border: 4px solid #fff;
}

/* Pretty Text Highlight Breaks */

.wp-block-kadence-advancedheading mark {
  -webkit-box-decoration-break: clone;
  box-decoration-break: clone;
}

.wp-block-kadence-advancedheading mark em {
  padding-right: 10px;
}

/* Normalize Gutenberg Numbered List Spacing */

.entry-content ol li {
  margin-bottom: 5px;
}

/* GDPR */

.gdpr.gdpr-privacy-bar,
.gdpr.gdpr-reconsent-bar {
  background-color: var(--global-palette2);
}

.gdpr.gdpr-privacy-bar .gdpr-agreement,
.gdpr.gdpr-reconsent-bar .gdpr-agreement {
  background: var(--global-palette1);
  border: none;
  text-shadow: none;
  box-shadow: none;
  border-radius: 0;
  padding: 2px 10px 3px;
  font-weight: bold;
}

.gdpr.gdpr-privacy-bar .gdpr-agreement:hover,
.gdpr.gdpr-reconsent-bar .gdpr-agreement:hover {
  background: var(--global-palette7);
  color: var(--global-palette3);
}

/* Footer Section Three */

.site-footer-middle-section-3 {
  justify-content: end;
}
